POST /trainees/{trainee_id}/recommend-for-qts (deprecated)
Warning The v2026.0 version is currently available for testing in the sandbox environment only. It is not yet available in production.
This endpoint is deprecated. It will still work for
v2026.x versions but will be removed in v2027.0. Use POST /trainees/{trainee_id}/update-qts-or-eyts-status instead. Change status of a trainee for a QTS Award.
Request
POST /api/v2026.0/trainees/{trainee_id}/recommend-for-qts
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| trainee_id | path | string | true | The unique ID of the trainee |
Request body
Recommendation details
qts_standards_met_datestring, required
The date when the Trainee met the requirements for QTS or EYTS. Dates should be in ISO 8601 format.
Example: 2000-01-01
Example request body
{
"data": {
"qts_standards_met_date": "2024-06-17"
}
} Possible responses
HTTP 202 - A trainee
{
"data": {
"trainee_id": "vcGjpBCn987jJSqMQxjhdv9Y",
"provider_trainee_id": "abc1234",
"first_names": "Trainee",
"last_name": "TraineeUser644065",
"date_of_birth": "2000-01-01",
"created_at": "2023-10-20T14:54:47.374Z",
"updated_at": "2024-01-24T16:03:28.721Z",
"email": "trainee_644065@example.com",
"middle_names": null,
"training_route": "11",
"sex": "10",
"diversity_disclosure": "diversity_disclosed",
"ethnic_group": "black_ethnic_group",
"ethnic_background": "African",
"additional_ethnic_background": null,
"disability_disclosure": "no_disability",
"course_subject_1": "100425",
"itt_start_date": "2023-09-04",
"outcome_date": null,
"itt_end_date": "2023-10-17",
"trn": "6440650",
"submitted_for_trn_at": "2024-01-18T08:02:41.420Z",
"state": "recommended_for_award",
"withdrawal_date": null,
"defer_date": "2023-10-17",
"defer_reason": null,
"recommended_for_award_at": "2024-06-17T09:05:48Z",
"trainee_start_date": "2023-09-04",
"reinstate_date": null,
"course_min_age": 5,
"course_max_age": 11,
"course_subject_2": null,
"course_subject_3": null,
"awarded_at": null,
"training_initiative": "009",
"applying_for_bursary": false,
"bursary_tier": null,
"study_mode": "01",
"ebacc": false,
"region": null,
"applying_for_scholarship": false,
"course_education_phase": "primary",
"applying_for_grant": false,
"course_uuid": null,
"training_partner_not_applicable": false,
"employing_school_not_applicable": false,
"submission_ready": true,
"commencement_status": null,
"discarded_at": null,
"created_from_dttp": false,
"hesa_id": "87960005710008762",
"additional_dttp_data": null,
"created_from_hesa": false,
"hesa_updated_at": null
"record_source": "api",
"iqts_country": null,
"hesa_editable": true,
"withdrawal_future_interest": null,
"withdrawal_trigger": null,
"withdrawal_reasons": null,
"withdrawal_another_reason": null,
"withdrawal_safeguarding_concern_reasons": null,
"placement_detail": null,
"ukprn": "10000571",
"ethnicity": "120",
"course_qualification": "QTS",
"course_title": null,
"course_level": "undergrad",
"course_itt_start_date": "2022-09-01",
"course_age_range": "13914",
"employing_school_urn": null,
"training_partner_ukprn": null,
"training_partner_urn": null,
"fund_code": "7",
"course_year": "2",
"funding_method": "4",
"itt_aim": "201",
"itt_qualification_aim": "004",
"ni_number": null,
"previous_last_name": null,
"additional_training_initiative": null,
"placements": [
{
"placement_id": "AXsRAS4LfwZZXvSX7aAfNUb4",
"urn": "123456",
"name": "Meadow Creek School",
"address": "URN 123456, AB1 2CD",
"postcode": "AB1 2CD",
"created_at": "2024-01-18T08:02:42.672Z",
"updated_at": "2024-01-18T08:02:42.672Z"
}
],
"degrees": [
{
"degree_id": "E1phsAcP3hDFMhx19qVGhchR",
"uk_degree": "083",
"non_uk_degree": null,
"created_at": "2024-01-18T08:02:41.955Z",
"updated_at": "2024-01-18T08:02:41.955Z",
"subject": "100425",
"institution": "0116",
"graduation_year": 2022,
"grade": "02",
"country": null,
"other_grade": null,
"institution_uuid": "0271f34a-2887-e711-80d8-005056ac45bb",
"uk_degree_uuid": "db695652-c197-e711-80d8-005056ac45bb",
"subject_uuid": "bf8170f0-5dce-e911-a985-000d3ab79618",
"grade_uuid": "e2fe18d4-8655-47cf-ab1a-8c3e0b0f078f"
}
]
}
} HTTP 401 - Unauthorized
{
"error": "Unauthorized"
} HTTP 404 - Not found
{
"errors": [
{
"error": "NotFound",
"message": "Trainee(s) not found"
}
]
} HTTP 422 - Unprocessable Entity
{
"errors": [
{
"error": "UnprocessableEntity",
"message": "qts_standards_met_date can't be blank. Enter a date the trainee met the QTS or EYTS requirements."
},
{
"error": "UnprocessableEntity",
"message": "placements must be at least 2 for the provider_led_postgrad training route"
}
]
}